# Class FileRowColContainer

java.lang.Object
org.apache.jmeter.functions.FileRowColContainer

public class FileRowColContainer extends Object
File data container for CSV (and similar delimited) files Data is accessible via row and column number

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DELIMITER`

## Constructor Summary

Constructors
Constructor
Description
`FileRowColContainer(String file)`
`FileRowColContainer(String file, String delim)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumn(int row, int col)`
Get the string for the column from the current row
`String`
`getFileName()`
`int`
`getSize()`
`int`
`nextRow()`
Returns the next row to the caller, and updates it, allowing for wrap round

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DELIMITER

public static final String DELIMITER

## Constructor Details

### FileRowColContainer

public FileRowColContainer(String file, String delim) throws IOException, FileNotFoundException

Throws:
  `IOException`
  `FileNotFoundException`

### FileRowColContainer

public FileRowColContainer(String file) throws IOException, FileNotFoundException

Throws:
  `IOException`
  `FileNotFoundException`

## Method Details

### getColumn

public String getColumn(int row, int col) throws IndexOutOfBoundsException
Get the string for the column from the current row

Parameters:
  `row` - row number (from 0)
  `col` - column number (from 0)
Returns:
  the string (empty if out of bounds)
Throws:
  `IndexOutOfBoundsException` - if the column number is out of bounds

### nextRow

public int nextRow()
Returns the next row to the caller, and updates it, allowing for wrap round

Returns:
  the first free (unread) row

### getFileName

public String getFileName()

Returns:
  the file name for this class

### getSize

public int getSize()